## com.google.gwt.user.client.ui
Class MouseWheelListenerCollection

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.ArrayList<MouseWheelListener>
                  com.google.gwt.user.client.ui.MouseWheelListenerCollection

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<MouseWheelListener>, java.util.Collection<MouseWheelListener>, java.util.List<MouseWheelListener>, java.util.RandomAccess

    public class MouseWheelListenerCollection

extends java.util.ArrayList<MouseWheelListener>

A helper class for implementers of the SourcesMouseWheelEvents interface. This subclass of `ArrayList` assumes that all objects added to it will be of type `MouseWheelListener`.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`MouseWheelListenerCollection()`

Method Summary
`void` `fireMouseWheel(Widget sender, MouseWheelVelocity velocity)` Fires a mouse wheel event to all listeners.
`void` `fireMouseWheelEvent(Widget sender, Event event)` A helper for widgets that source mouse events.

Methods inherited from class java.util.ArrayList
`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, remove, removeRange, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, removeAll, retainAll, subList`

Constructor Detail

### MouseWheelListenerCollection

    public MouseWheelListenerCollection()

Method Detail

### fireMouseWheel

    public void fireMouseWheel(Widget sender,
                               MouseWheelVelocity velocity)

  Fires a mouse wheel event to all listeners.

  Parameters:
    `sender` - the widget sending the event
    `velocity` - the velocity information for the event

### fireMouseWheelEvent

    public void fireMouseWheelEvent(Widget sender,
                                    Event event)

  A helper for widgets that source mouse events.

  Parameters:
    `sender` - the widget sending the event
    `event` - the `Event` received by the widget